Bug 838457 - PRD32 - webadmin: the default of the tree should be expanded with DCs, at least
PRD32 - webadmin: the default of the tree should be expanded with DCs, at least
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.1.0
x86_64 Linux
unspecified Severity low
: ---
: 3.2.0
Assigned To: Shahar Havivi
Jiri Belka
ux
: Improvement
Depends On:
Blocks: 915537
  Show dependency treegraph
 
Reported: 2012-07-09 03:38 EDT by Yaniv Kaul
Modified: 2013-07-03 22:48 EDT (History)
7 users (show)

See Also:
Fixed In Version: SF4
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-10 17:05:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Yaniv Kaul 2012-07-09 03:38:24 EDT
Description of problem:
If you want to use the tree, you have to expand it. You currently have two options:
1. Click 'Expand All'
2. Start to expand the tree, level by level.

We can save at least a click in the 2nd option if we already expand the tree to at least its first level - DC level. I'm not sure if we shouldn't even expand it to the 2nd level as well.

Version-Release number of selected component (if applicable):
SI9.1

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Itamar Heim 2012-11-22 10:25:30 EST
worth looking at bug 879291 while at it.
Comment 2 Einav Cohen 2012-12-19 09:33:34 EST
Andrew: Any preference to which level we should expand by default [first level (i.e. DCs only)? second level (i.e. DCs + Clusters)]?
Comment 3 Einav Cohen 2012-12-23 19:35:31 EST
Kaul, see question in Comment #2?
Comment 4 Yaniv Kaul 2012-12-24 01:32:57 EST
I personally prefer the 2nd level, not so much because of the clusters but because of the Storage
Comment 5 Shahar Havivi 2012-12-30 03:08:24 EST
posted upstream: http://gerrit.ovirt.org/#/c/10427/
Comment 7 Jiri Belka 2013-02-06 05:12:07 EST
ok, sf5, i can see tree -> dc -> dc's top elements.
Comment 8 Cheryn Tan 2013-04-03 02:52:05 EDT
This bug is currently attached to errata RHEA-2013:14491. If this change is not to be documented in the text for this errata please either remove it from the errata, set the requires_doc_text flag to minus (-), or leave a "Doc Text" value of "--no tech note required" if you do not have permission to alter the flag.

Otherwise to aid in the development of relevant and accurate release documentation, please fill out the "Doc Text" field above with these four (4) pieces of information:

* Cause: What actions or circumstances cause this bug to present.

* Consequence: What happens when the bug presents.

* Fix: What was done to fix the bug.

* Result: What now happens when the actions or circumstances above occur. (NB: this is not the same as 'the bug doesn't present anymore')

Once filled out, please set the "Doc Type" field to the appropriate value for the type of change made and submit your edits to the bug.

For further details on the Cause, Consequence, Fix, Result format please refer to:

https://bugzilla.redhat.com/page.cgi?id=fields.html#cf_release_notes

Thanks in advance.
Comment 9 errata-xmlrpc 2013-06-10 17:05:33 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0888.html

Note You need to log in before you can comment on or make changes to this bug.